Links the source contact to the target contact so they are treated as the same person.
PATCH
/case/contacts/{orgId}/case/{caseId}/{sourceContactId}/{targetContactId}
curl \
--request PATCH 'http://api.example.com/case/contacts/{orgId}/case/{caseId}/{sourceContactId}/{targetContactId}' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "organization: string"
Response examples (201)
{
"data": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"fullName": "Jane Doe",
"firstName": "Jane",
"lastName": "Doe",
"originalFullName": "Jane Doe",
"email": "jane.doe@example.com",
"address": "1 Main St, New York, NY",
"phone": [
"+15555550100"
],
"phoneNational": [
"(555) 555-0100"
],
"source": "default",
"linkedContacts": [
{}
],
"avatar": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "photo.heic",
"providerId": "uploads/507f1f77bcf86cd799439011/photo.heic",
"convertedName": "photo.jpg",
"convertedProviderId": "uploads/507f1f77bcf86cd799439011/photo.jpg",
"provider": "s3",
"size": 204800,
"transferState": 42.0
},
"device": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"deviceId": "3F2504E0-4F89-11D3-9A0C-0305E82C3301",
"serialNumber": "F2LXK0QJHG7F",
"name": "Jane's iPhone",
"type": "ios",
"nonDeviceType": "string",
"model": "iPhone 15",
"timeZone": "America/New_York",
"osVersion": "18.0",
"owner": {},
"devicePhoneNumber": "+15555550100",
"organizations": [
"507f1f77bcf86cd799439011"
],
"extractionCodes": [
"507f1f77bcf86cd799439013"
],
"availableData": {
"messages": true,
"calls": false
}
},
"owner": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "Jane Doe",
"email": "jane.doe@example.com",
"phone": [
"+15555550100"
],
"isActive": true,
"isEmailVerified": true,
"lastActive": "2026-01-15T14:30:00.000Z",
"roles": [
"user"
],
"avatar": {
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"name": "photo.heic",
"providerId": "uploads/507f1f77bcf86cd799439011/photo.heic",
"convertedName": "photo.jpg",
"convertedProviderId": "uploads/507f1f77bcf86cd799439011/photo.jpg",
"provider": "s3",
"size": 204800,
"transferState": 42.0
},
"onboardingStatus": "completed",
"userType": "attorney",
"firstName": "Jane",
"lastName": "Doe",
"initials": "JD",
"userOrganizations": [
{}
]
},
"initials": "JD",
"conversations": [
"507f1f77bcf86cd799439014"
],
"isEdited": false
},
"statusCode": 201,
"timestamp": "2026-01-15T10:15:00.000Z"
}